### Method

# Foundry TextDocumentAddin list_code_actions

#### Declaration [src]

    DexFuture*
    foundry_text_document_addin_list_code_actions (
      FoundryTextDocumentAddin* self
    )

#### Description

No description available.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryCodeAction` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.